hi, when using a dimension line horizontally it also puts the text horizontal. but because that takes up to much space we like to put it vertically (go to properties > text > text rotation > and set it as 90 degrees) but this takes so much time when working with 100+ dim lines. is there a way to get a macro to change the properties. or some other way to automatically change the text rotation of a dim line? ill attach a picture of the problem! thanks in advance!
edit: the problem only occurs when draggig the text. when dragged it automaticly changes to its horizontal positsion.
Solved! Go to Solution.
hi, when using a dimension line horizontally it also puts the text horizontal. but because that takes up to much space we like to put it vertically (go to properties > text > text rotation > and set it as 90 degrees) but this takes so much time when working with 100+ dim lines. is there a way to get a macro to change the properties. or some other way to automatically change the text rotation of a dim line? ill attach a picture of the problem! thanks in advance!
edit: the problem only occurs when draggig the text. when dragged it automaticly changes to its horizontal positsion.
Solved! Go to Solution.
Solved by j.palmeL29YX. Go to Solution.
Dimension styles does not have a text rotation option.
Here are a few ways to do a mass dimension text rotation.
Please select the "Accept as Solution" button if my post solves your issue or answers your question.
Dimension styles does not have a text rotation option.
Here are a few ways to do a mass dimension text rotation.
Please select the "Accept as Solution" button if my post solves your issue or answers your question.
Try this LISP (quick and dirty) :
(defun c:DTV (/ pi-2 ss number ent edat)
;;; DimText vertical
(setq pi-2 (/ Pi 2))
(princ "\nSelect Dimensions: ")
(setq ss (ssget))
(setq number (sslength ss))
(repeat number
(setq number (1- number))
(setq ent (ssname ss number))
(setq edat (entget ent))
(setq edat (subst (cons 53 pi-2) (assoc 53 edat) edat))
(entmod edat)
)
)
HTH
Jürgen Palme
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
Try this LISP (quick and dirty) :
(defun c:DTV (/ pi-2 ss number ent edat)
;;; DimText vertical
(setq pi-2 (/ Pi 2))
(princ "\nSelect Dimensions: ")
(setq ss (ssget))
(setq number (sslength ss))
(repeat number
(setq number (1- number))
(setq ent (ssname ss number))
(setq edat (entget ent))
(setq edat (subst (cons 53 pi-2) (assoc 53 edat) edat))
(entmod edat)
)
)
HTH
Jürgen Palme
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
Can't find what you're looking for? Ask the community or share your knowledge.